<div
  *ngIf="product && productService.isAvailable(product)"
  [ngClass]="{ last: productService.isLast(product) }"
  class="card h-100"
>
  <!-- Vérifie l'existence du produit -->
  <img [src]="product.photo" class="card-img-top" alt="" />
  <div class="card-body">
    <h3 class="card-title">
      {{ product.title | uppercase }} -
      {{ product.price | currency: "EUR":"symbol":"2.2-2" }}
    </h3>
    <p class="card-text">{{ product.description }}</p>
    <!-- Sans condition il faut appeler product?.description -->
    <p>Quantity - {{ product.stock }}</p>
  </div>
  <div class="card-body">
    <button class="btn btn-primary" (click)="clickOnButton()">
      Add to basket
    </button>
  </div>
</div>
